pcl::io::openni2::OpenNI2TimerFilter Class Reference

`#include <pcl/io/openni2/openni2_timer_filter.h>`

## Public Member Functions

| OpenNI2TimerFilter (std::size_t filter_len)
virtual | ~OpenNI2TimerFilter ()
void | addSample (double sample)
double | getMedian ()
double | getMovingAvg ()
void | clear ()

## Detailed Description

Definition at line 46 of file openni2_timer_filter.h.

## Constructor & Destructor Documentation

## OpenNI2TimerFilter()

pcl::io::openni2::OpenNI2TimerFilter::OpenNI2TimerFilter | ( | std::size_t | filter_len | ) |

## ~OpenNI2TimerFilter()

virtual pcl::io::openni2::OpenNI2TimerFilter::~OpenNI2TimerFilter | ( |  | ) |

virtual

## Member Function Documentation

## addSample()

void pcl::io::openni2::OpenNI2TimerFilter::addSample | ( | double | sample | ) |

## clear()

void pcl::io::openni2::OpenNI2TimerFilter::clear | ( |  | ) |

## getMedian()

double pcl::io::openni2::OpenNI2TimerFilter::getMedian | ( |  | ) |

## getMovingAvg()

double pcl::io::openni2::OpenNI2TimerFilter::getMovingAvg | ( |  | ) |

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/io/include/pcl/io/openni2/openni2_timer_filter.h